Skip to main content
POST
/
api
/
v1
/
checkout
/
sessions
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/checkout/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "merchantName": "<string>",
  "amount": 123,
  "currency": "<string>",
  "allowedInstallments": [
    123
  ],
  "description": "<string>",
  "externalId": "<string>",
  "basketId": "<string>",
  "customerEmail": "<string>",
  "customerPhone": "<string>",
  "metadata": {},
  "paymentMode": "Non3D",
  "allowPreAuth": true,
  "isTestSession": true,
  "successUrl": "<string>",
  "cancelUrl": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "sessionId": "<string>",
    "checkoutUrl": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

merchantName
string | null
amount
integer<int64>
currency
string | null
allowedInstallments
integer<int32>[] | null
description
string | null
externalId
string | null
basketId
string | null
customerEmail
string | null
customerPhone
string | null
metadata
object
paymentMode
enum<integer>
Available options:
Non3D,
ThreeDSecure,
ThreeDPay,
ThreeDPayHosting
allowPreAuth
boolean
isTestSession
boolean
successUrl
string | null
cancelUrl
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object